Bug 143697 - openldap server prints un-needed config check message
openldap server prints un-needed config check message
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Safranek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-24 07:33 EST by Richard Hughes
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 2_3_34-2_fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-25 04:16:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fixes the above issues, only printing error if database is incorrect. (1.01 KB, patch)
2004-12-24 07:36 EST, Richard Hughes
no flags Details | Diff

  None (edit)
Description Richard Hughes 2004-12-24 07:33:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
On boot I get "Checking configuration files for : config file testing
succeeded" if I set ldap to run at startup.
All the other servives only warn me if my configuration is incorrect -
httpd for instance, and just display the [ok] or [failed] messages.

There are two errors in /etc/init.d/ldap: 
1. $prog isn't defined high enough in the file (line 57) - logically
the existing script should print out:
"Checking configuration files for slapd: config file testing succeeded"
not "Checking configuration files for : config file testing succeeded"

2. The message shouldn't be displayed at all - unless there is a
error, like httpd does.
Redirecting the error, and grep'ing for "error" can give us a
not-empty check for error condition, so normal bootup just displays [ok]


Version-Release number of selected component (if applicable):
openldap-servers-2.2.13-2

How reproducible:
Always

Steps to Reproduce:
1. set up a correct database
2. set ldap to start on boot
3. see extra line on bootup.
    

Actual Results:  Checking configuration files for : config file
testing succeeded

Expected Results:  -no screen display UNLESS my config is wrong-
Comment 1 Richard Hughes 2004-12-24 07:36:03 EST
Created attachment 109106 [details]
Fixes the above issues, only printing error if database is incorrect.
Comment 2 Matthew Miller 2006-07-10 19:25:18 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 Jan Safranek 2007-04-25 04:16:20 EDT
Init scripts in openldap-servers-2_3_34-2_fc7 should be quiet unless some error/
warning is reported.

Note You need to log in before you can comment on or make changes to this bug.